---
title: MSCandidateWindowHide
slug: Web/API/MSCandidateWindowHide
---
<p id="Summary">{{APIRef("HTMLMediaElement")}}</p>

<p>{{Non-standard_header()}}</p>

<p><code><strong>MSCandidateWindowHide</strong></code> fires after the Input Method Editor (IME) candidate window closes and is fully hidden.</p>

<p>This proprietary method is specific to Internet Explorer.</p>

<h2 id="General_info">General info</h2>

<dl>
 <dt style="float: left; text-align: right; width: 120px;">Synchronous</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Bubbles</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
 <dt style="float: left; text-align: right; width: 120px;">Cancelable</dt>
 <dd style="margin: 0 0 0 120px;">No</dd>
</dl>

<h3 id="Note">Note</h3>

<p>Windows 8.1 and Windows 7 IMEs for certain languages on Internet Explorer for the desktop might not support this event. On Internet Explorer in the new Windows UI, this event is supported in Windows 8.1 IMEs of all languages.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="row">Event Property</th>
   <td>object.oncandidatewindowhide = handler;</td>
  </tr>
  <tr>
   <th scope="row">addEventListener Method</th>
   <td>object.addEventListener("MSCandidateWindowHide", handler, useCapture)</td>
  </tr>
 </tbody>
</table>

<p>nbsp;</p>

<h3 id="Parameters">Parameters</h3>

<p><strong>pEvtObj</strong> [in]</p>

<p>Type: <em>IHTMLEventObj</em></p>

<p>Pointer to an IHTMLEventObj interface for the current event.</p>

<p>The handler of this event will see that the isCandidateWindowVisible method returns false, and no ClientRect object is returned from getCandidateWindowClientRect.</p>

<p>Web applications need only register for this event once per element (the handler will remain valid for the lifetime of the element).</p>

<h2 id="See_Also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Microsoft_API_extensions">Microsoft API extensions </a></li>
 <li><a href="/en-US/docs/Mozilla/IME_handling_guide">IME handling guide for Gecko</a></li>
</ul>
